Page MenuHomePhabricator

[XRay][Docs] Update the XRay documentation
ClosedPublic

Authored by dberris on Feb 26 2017, 11:35 PM.

Details

Summary

Update the XRay docs to mention new subcomands to the llvm-xray tool,
and details on FDR mode logging. Also list down available libraries for
use part of the LLVM distribution.

Diff Detail

Repository
rL LLVM

Event Timeline

dberris created this revision.Feb 26 2017, 11:35 PM
timshen edited edge metadata.Feb 27 2017, 1:07 PM

To be precise, it's powerpc64le-linux-gnu, which involves glibc dependency (it provides TSC interface). I'm not sure if we need to mentioned "-linux-gnu" in the doc though.

dberris planned changes to this revision.Feb 28 2017, 12:18 AM

To be precise, it's powerpc64le-linux-gnu, which involves glibc dependency (it provides TSC interface). I'm not sure if we need to mentioned "-linux-gnu" in the doc though.

Good point. I think I'm fine with just mentioning powerpc64le and using the more precise triple components for the other architectures. Let me make that change.

dberris updated this revision to Diff 89985.Feb 28 2017, 12:32 AM
  • fixup: update patch_premain default to false, use arch triple names more accurately

LGTM for ppc portion.

sdardis edited edge metadata.Feb 28 2017, 1:40 AM

LGTM for the MIPS portions.

rSerge accepted this revision.Feb 28 2017, 5:32 AM
This revision is now accepted and ready to land.Feb 28 2017, 5:32 AM
This revision was automatically updated to reflect the committed changes.